:root {
	--base-back: #f9f6ed;
	--black: black;
	--white: white;
	--font-main: black;
	--font-sub: white;

}

a:visited {
	color: #333ddd;
}


a {
	color: #0f0f0f;
}



/*  */

@font-face {
	font-family: "Libertinus Mono";
	src: url("../asset/LibertinusMono-Regular.ttf");
}

body {
	font-family: "Libertinus Mono";
	letter-spacing: 0.25px;
	background-color: black;
	background-size: cover;
	background-image: url("../asset/background.png");
	zoom: 1.25;
	background-repeat: no-repeat;
	image-rendering: pixelated;
}

/*    General Utilities    */


.text_holder {
	box-sizing: border-box;
	overflow: hidden;
	max-height: calc(100% - 82px);
	padding-right: 4px;
	letter-spacing: 0.25px;
	width: 100%;
	font-size: 12px;
	text-align: justify;
}

.centered {
	text-align: center;
	margin-top: 8px;
	margin-bottom: 8px;
	line-height: 18px;
}

.small {
	font-size: 8px;
}

spike {
	display: inline-block;
	text-align: center;
	width: 16px;
	height: 16px;
	font-size: 32px;
	margin-right: 2px;

}

mybar {
	display: block;
	width: 100% ;
	height: 12px;
	background-color: var(--black);
	margin-bottom: 0px;
}

/*    Main Body    */

#login {
	position: absolute;
	right: 16px;
	top: 16px;
}

#container {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0px;
	left: 0px;

	
}

#body {
	color: var(--font-main);
	border: 8px ridge var(--white);
	position: absolute;
	min-width: 600px;
	top: 64px;
	width: 50%;
	height: 75%;
	margin: 0 auto;
	background-color: var(--base-back);
	/* Kind of arbitrary */
	overflow: hidden;
	max-height: 575px;
	min-height: 440px;
}

.fold {
	width: 50%;
	height: 100%;
	position: absolute;
	top: 0px;
	display: block ;
	vertical-align: top;
}

/*    Right Fold    */

.right {
	border-left: 4px solid var(--black);
	padding-left: 2px;
	padding-right: 6px;
	right: -8px;
}

.shelf {
	text-align: center;
	width: calc(100% - 4px);
	font-size: 16px;
	background-color: var(--black);
	display: block;
	color: var(--font-sub);
	padding: 5px;
	box-sizing: border-box;
}

/*    Left Fold     */

.left { 
	left: 0px;
}

#spoiler {
	padding: 12px;
	text-align: center;
	position: absolute;
	background-color: var(--black);
	right: 0px;
	top: 0px;
	color: var(--font-sub);
}

#top_banner {
	width: 100%;
	margin-bottom: 3px;
	
}

#logo {
	display: inline-block;

	width: 64px;
	font-size: 32px;
	color: var(--font-sub);
	background-color: var(--black);
	word-spacing: -8px;
	padding: 4px;
	padding-left: 12px;
}

#sub_logo {
	background-image: url("../asset/banner_background.png");
	image-rendering: pixelated;
	position: absolute;
	top: 0px;
	display: block;
	width: calc( 100% - (16px + 64px + 5px));
	left: calc(16px + 64px + 1px + 4px);
	height: 82px;
}




